local WorldGetAllianceCityEffectMessage = BaseClass("WorldGetAllianceCityEffectMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.WorldAllianceCityDataManager:UpdateAllianceCityEffect(t, false)
  end
end
WorldGetAllianceCityEffectMessage.HandleMessage = HandleMessage
WorldGetAllianceCityEffectMessage.OnCreate = OnCreate
return WorldGetAllianceCityEffectMessage
